package com.ruoyi.mall.domain.Bo;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotNull;

/**
 * 报名管理对象 tb_offline_services_register
 * 
 * @author ruoyi
 * @date 2023-10-16
 */
public class OfflineServicesRegisterBo extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    /** 服务编号 */
    @NotNull(message = "报名服务编号不能为空")
    private Long serviceId;

    /** 用户编号 */
    @NotNull(message = "报名用户编号不能为空")
    private Long userId;






    public void setServiceId(Long serviceId) 
    {
        this.serviceId = serviceId;
    }

    public Long getServiceId() 
    {
        return serviceId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)

            .append("serviceId", getServiceId())
            .append("userId", getUserId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())

            .toString();
    }
}
